mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

is used with the . The flags are retained for reference only. They are not used by the common language runtime.

For more information about FUNCFLAGS, see the MSDN library.

Describes the original settings of the FUNCFLAGS in the COM type library from where this method was imported.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  The function that supports data binding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  The function that best represents the object. Only one function in a type information can have this attribute.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  Permits an optimization in which the compiler looks for a member named "xyz" on the type "abc". If such a member is found and is flagged as an accessor function for an element of the default collection, then a call is generated to that member function.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  The function that is displayed to the user as bindable. must also be set.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  The function should not be displayed to the user, although it exists and is bindable.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  The function is mapped as individual bindable properties.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  The property appears in an object browser, but not in a properties browser.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  Tags the interface as having default behaviors.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  When set, any call to a method that sets the property results first in a call to IPropertyNotifySink::OnRequestEdit.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  This flag is intended for system-level functions or functions that type browsers should not display.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  The function returns an object that is a source of events.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  The type information member is the default member for display in the user interface.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibFuncFlags To be added

  The function supports GetLastError.